DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Attributes | List of all members
DcmPresentationContextInfo Struct Reference

Structure representing a single Presentation Context. More...

## Public Attributes
Uint8 | presentationContextID
| Presentation Context ID as proposed by SCU.
OFString | abstractSyntax
| Abstract Syntax name (UID) as proposed by SCU.
DUL_SC_ROLE | proposedSCRole
| SCP role as proposed from SCU.
DUL_SC_ROLE | acceptedSCRole
| Role accepted by SCP for this Presentation Context.
OFString | acceptedTransferSyntax
| Transfer Syntax accepted for this Presentation Context (UID)

## Detailed Description

Structure representing a single Presentation Context.

Fields "reserved" and "result" not included from DUL_PRESENTATIONCONTEXT, which served as the blueprint for this structure.

The documentation for this struct was generated from the following file:

- dcmnet/include/dcmtk/dcmnet/scp.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2